Winspy Help

Winspy - 2.01220

by GuruPrasad Belthur.
belthurgp@yahoo.com

Conditions.

This software comes with absolutely No Warranty. I am not responsible for what you do with winspy or any damage to anything either hardware or software caused by using this software.

What is Winspy ?

Winspy is a very versatile tool with a lot of features to figure out how applications use and create UserInterface. Basically it's an User Interface debugging tool. I have used it extensively for debugging and hacking applications's User Interface. A little knowledge of Windows programming will be helpful in understanding this program.

Status of Winspy ?

Winspy is Freeware. No - Nags,Trial period & blocked features.

What can you do with Winspy ?

  • Find out hidden windows.
  • Once you get a "handle" to a window, you can literally play around with that window.
  • You can Minimize,Maximize,Hide,Restore,Move,Enable,Disable any window.
  • You can send Mouse "Messages" to any window like Click, Left Button down or Up,Right button down or Up.
  • You can Shutdown windows or Logoff.
  • Terminate irresponsible process. Kill them.
  • Change the title-bar text of any window.
  • See the hidden characters behind ***** in a password field.

Starting off...

Just click on winspy.exe. You should see this wind.jpg (2891 bytes) in your System Tray. You will also see Winspy - half open.

Small.jpg (9397 bytes) This is Winspy when you have not selected any window.You will see only the data window.Drag the Finder tool finder.jpg (1487 bytes) on the window that you want to spy on with the mouse. Your mouse cursor changes to the finder tool icon and once you are over the window that you want to spy on just leave the mouse.

When you leave the "Finder" on the window, Winspy expands to show the whole window, Data + Control window. I just dragged the Finder on to a notepad and this is what I got.

Large.jpg (21415 bytes)

As you can see all the blank areas are filled up and the control window shows you a lot of buttons. Ok, let's see what all of these things mean.

Items on Data Window

Scr | This shows the position of Notepad Window in respect to your screen.
Wnd | It shows the Window "Handle" value.
Thrd | Thread Id of the Window's Application.
Prcss | Process Id of the Window's Application.
Rect | [Top,Left] - [Bottom,Right] - Total Area in pixels.
Class | Which window "class" the window belongs.This can help you find out normally using what development tool was the application created. For ex. Anything starting with "ThunderForm" usually means that window was created using VisualBasic
Cap | This text box shows you the text(Caption) in the Title bar of the window.
More | Let's you toggle between Data + Control window or just Data Window.
On Top | Makes Winspy to be always on top of all the windows. This is really helpful.
List | This buttons opens another window which gives you a list of all the top level windows including their child windows in a tree format. Just expand the tree, select your window handle and double click on it and you have the handle
finder.jpg (931 bytes) | Drag this and drop it on any window and you have a handle to that.

Buttons on Control Window

Click | It simulates the click of a mouse ( Left mouse button down + Left mouse button up).
Close | It closes and application. At first I tried using WM_CLOSE , but it was not effective. Now I get a handle to the process and then call TerminateProcess, effective but dangerous as you may lose data. Use it as a last resort
Logoff | It logs off the current user, the best part Winspy will still be active when the login dialog box appears , so play with the login box. But in NT , Winspy is killed when the user logs off.
Shut | Shutdown windows. It is not a forced shutdown. So applications have chance of clean shutdown
Set-Cap | Set's the text in the "Cap" Edit box as the text in Title bar of the Window.
View-P | Drag the finder to a password field and drop it there. When you click on this, you will see the password hidden under the *****s in the "Cap" Edit box.
Write-P | Drag the finder to a password field and drop it there. Now type your password and click on this button, your password will be written in the Edit Window.
L-Dwn | Simulates a Left Mouse button down. Not a Click. Use Click for that.
Rest | Restores a Window to it's original state.
Hide | Hides a Window.
Min | Minimizes the window.
L-Up | Simulates a Left Mouse button up. Not a Click. Use Click for that.
EnB'le | Enables a disabled window. This is very useful. In some applications or even in windows, buttons will be disabled blocking your "work". Use this to enable those buttons.
Ds'ble | Disables a enabled window. Use EnB'le to enable it.
Max | Maximize a window. In some windows you can see hidden controls when you maximize them.
L-Dbl | Simulates a Left mouse button double click.
R-Up | Simulates a Right mouse button up.
R-Dwn | Simulates a Right mouse button down.
Empty Boxes | Space to enter X & Y Co-ordinates of a window.
Move | Enter X & Y Co-ordinates in the above to boxes and click on this to move a particular window.

When you click on the List button this is what you will see. Ofcourse the handles will be different.

List.jpg (38943 bytes)

Now you can double click on any of the top level windows or their child windows directly and get a handle to them. I actually did this as it is difficult to get child window handles using the Finder tool.

Latest Changes

Now Winspy can find out the characters under ****s even from Visual Basic generated Windows , which is basically of Thunder format.Also the baloon tip for the tray icon will now tell you which is the currently selected window. It shows the window handle and the caption of the window. Only problem is it will not show the handle and the caption if the combined length of both is more than 64 characters. This is a limitation of Shell version 4.

Comments & feedback

Let me know how you feel about this. The only price I charge for the use of WinSpy is that you send me a email stating which city are you from and from which site you downloaded WinSpy from. I just want to see where all WinSpy travels. Any kind of feedback is welcome. I have not yet considered free source. Thanx for trying out WinSpy.

GuruPrasad Belthur.
belthurgp@yahoo.com

Conditions once again ;-)

This software comes with absolutely No Warranty. I am not responsible for what you do with winspy or any damage to anything either hardware or software caused by using this software.